{"openapi":"3.0.0","info":{"description":"uostime lecture","version":"1.0.0-oas3","title":"2022UOSTime","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"servers":[{"description":"server","url":"https://virtserver.swaggerhub.com/SejeongMin/2022UOSTime/1.0.0"}],"tags":[{"name":"Lecture","description":"강의 검색, 업데이트"}],"paths":{"/api/lecture":{"get":{"tags":["Lecture"],"summary":"search lecture","description":"강의 검색","parameters":[{"name":"year","schema":{"type":"string","minLength":4,"maxLength":4},"in":"query","required":true,"description":"연도"},{"name":"term","schema":{"type":"string"},"in":"query","required":true,"description":"학기 (A10:1학기, A11:여름계절학기, A20:2학기, A21:겨울계절학기)"},{"name":"sub_dept","schema":{"type":"string"},"in":"query","required":false,"description":"소속부서 (e.g. 컴퓨터과학부)"},{"name":"subject_div","schema":{"type":"string"},"in":"query","required":false,"description":"과목구분 (e.g. 교양선택)"},{"name":"subject_div2","schema":{"type":"string"},"in":"query","required":false,"description":"세부과목구분 (e.g. 공학소양)"},{"name":"subject_no","schema":{"type":"string"},"in":"query","required":false,"description":"과목 번호"},{"name":"class_div","schema":{"type":"string"},"in":"query","required":false,"description":"분반"},{"name":"class_nm","schema":{"type":"string"},"in":"query","required":false,"description":"강의시간/장소"},{"name":"subject_nm","schema":{"type":"string"},"in":"query","required":false,"description":"과목명"},{"name":"shyr","schema":{"type":"string"},"in":"query","required":false,"description":"대상 학년"},{"name":"credit","schema":{"type":"string"},"in":"query","required":false,"description":"학점"},{"name":"prof_nm","schema":{"type":"string"},"in":"query","required":false,"description":"교수명"},{"name":"day_night_nm","schema":{"type":"string"},"in":"query","required":false,"description":"주야 여부"},{"name":"class_type","schema":{"type":"string"},"in":"query","required":false,"description":"강의 유형"},{"name":"etc_permit_yn","schema":{"type":"string"},"in":"query","required":false,"description":"타과 허용"},{"name":"sec_permit_yn","schema":{"type":"string"},"in":"query","required":false,"description":"복수 전공"}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Lecture"}}}}},"400":{"description":"bad input parameter"}}},"patch":{"tags":["Lecture"],"summary":"update lectures","description":"강의 업데이트","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/lectureUpdateRequestBody"}}}},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/lectureUpdateResult"}}}}},"400":{"description":"Bad Request(incomplete input parameter)"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"lectureUpdateRequestBody":{"type":"object","properties":{"year":{"type":"string","description":"연도","example":"2022"},"term":{"type":"string","description":"학기(A10: 1학기, A11: 여름계절학기, A20: 2학기, A21: 겨울계절학기","example":"A10"}}},"lectureUpdateResult":{"type":"object","properties":{"insert":{"type":"integer","description":"추가된 강의 수"},"update":{"type":"integer","description":"업데이트 강의 수"},"delete":{"type":"integer","description":"삭제된 강의 수"}}},"Lecture":{"type":"object","properties":{"id":{"type":"string","description":"id","example":"25118"},"lecture_key":{"type":"string","description":"강의 고유키","example":"2022A200156601"},"sub_dept":{"type":"string","description":"소속부서","example":"교양교육부"},"subject_div":{"type":"string","description":"과목구분","example":"교양선택"},"subject_div2":{"type":"string","description":"세부과목구분","example":"인문·사회"},"subject_no":{"type":"string","description":"과목 번호","example":"01566"},"class_div":{"type":"string","description":"분반","example":"01"},"subject_nm":{"type":"string","description":"과목명","example":"성과사회"},"class_nm":{"type":"string","description":"강의시간/장소","example":"화05,06,07/20-109/110"},"shyr":{"type":"integer","description":"대상 학년","example":1},"credit":{"type":"integer","description":"학점","example":3},"prof_nm":{"type":"string","description":"교수명","example":"이현재"},"day_night_nm":{"type":"string","description":"주야 여부","example":"주간"},"class_type":{"type":"string","description":"강의 유형","example":"외국어강의"},"etc_permit_yn":{"type":"string","description":"타과 허용","example":"Y"},"sec_permit_yn":{"type":"string","description":"복수 전공","example":"Y"},"tlsn_limit_count":{"type":"integer","description":"전체수강인원","example":12},"year":{"type":"string","description":"연도","example":"2022"},"term":{"type":"string","description":"학기","example":"A20"}}}}}}